Failed upgrade to latest 1.5.7.xxx



  • @Sebastian-Roth

    fogadmin@fogimaging:~$ sudo dpkg -l | grep -e mariadb -e mysql -e curl
    [sudo] password for fogadmin:
    ii  libcurl3:amd64                        7.58.0-2ubuntu2                                          amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  libcurl3-gnutls:amd64                 7.58.0-2ubuntu3.8                                        amd64        easy-to-use client-side URL transfer library (GnuTLS flavour)
    ii  mysql-client                          5.7.29-0ubuntu0.18.04.1                                  all          MySQL database client (metapackage depending on the latest version)
    ii  mysql-client-5.7                      5.7.29-0ubuntu0.18.04.1                                  amd64        MySQL database client binaries
    ii  mysql-client-core-5.7                 5.7.29-0ubuntu0.18.04.1                                  amd64        MySQL database core client binaries
    ii  mysql-common                          5.8+1.0.4                                                all          MySQL database common files, e.g. /etc/mysql/my.cnf
    ii  mysql-server                          5.7.29-0ubuntu0.18.04.1                                  all          MySQL database server (metapackage depending on the latest version)
    ii  mysql-server-5.7                      5.7.29-0ubuntu0.18.04.1                                  amd64        MySQL database server binaries and system database setup
    ii  mysql-server-core-5.7                 5.7.29-0ubuntu0.18.04.1                                  amd64        MySQL database server binaries
    ii  php7.1-curl                           7.1.30-1+ubuntu16.04.1+deb.sury.org+1                    amd64        CURL module for PHP
    ii  php7.1-mysql                          7.1.30-1+ubuntu16.04.1+deb.sury.org+1                    amd64        MySQL module for PHP
    ii  python-pycurl                         7.43.0.1-0.2                                             amd64        Python bindings to libcurl
    ii  python3-pycurl                        7.43.0.1-0.2                                             amd64        Python bindings to libcurl (Python 3)
    fogadmin@fogimaging:~$ sudo dpkg -l apache2 | grep '^ii'
    ii  apache2        2.4.39-1+ubuntu16.04.1+deb.sury.org+1 amd64        Apache HTTP Server
    fogadmin@fogimaging:~$ sudo dpkg --configure -a
    fogadmin@fogimaging:~$ sudo apt-get install -f
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    fogadmin@fogimaging:~$
    


  • @Sebastian-Roth

    I’ll check this tomorrow. There may be idiosyncrasies with my system. I’ve been upgrading in place from 1.5.0RC2 and 16.04 to the present.


  • Developer

    @astrugatch I just did a test installing 1.5.7 on Ubuntu 18.04 and then trying to pre-1.5.8 (pretty much exactly what you had before). I don’t seem to get the same issue than what you posted.

     * Installing package: curl....................................Failed! (Will try later)
    ...
     * Installing package: mariadb-client..........................Failed! (Will try later)
     * Installing package: mariadb-server..........................Failed! (Will try later)
    

    I have a feeling that there is something really awkward with your install. Please run the following commands and post output here (take a snapshot before you run these):

    dpkg -l | grep -e mariadb -e mysql -e curl
    dpkg -l apache2 | grep '^ii'
    dpkg --configure -a
    apt-get install -f
    


  • @Sebastian-Roth

    No worries. Let me know if you need someone to test. I can clone / snapshot my setup pretty quickly.


  • Developer

    @astrugatch The master branch being on 1.5.8 was kind of an issue which we have pulled back now. Sorry for that. For upgrading to the next release you need to wait a little more.



  • Sorry I needed the server and rolled back to a snapshot so I don’t have the log. Ill take another snapshot in a little while and run the install again.


  • Developer

    @astrugatch Can you please post the last 20 lines of the log files you find in fogproject/bin/error_logs/!


Log in to reply
 

452
Online

6.6k
Users

14.0k
Topics

132.1k
Posts